gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] r29530 - gnunet/src/gns


From: gnunet
Subject: [GNUnet-SVN] r29530 - gnunet/src/gns
Date: Wed, 25 Sep 2013 14:16:43 +0200

Author: schanzen
Date: 2013-09-25 14:16:42 +0200 (Wed, 25 Sep 2013)
New Revision: 29530

Added:
   gnunet/src/gns/test_gns_mx_lookup.sh
Log:
-mx test, mx type not recognized

Added: gnunet/src/gns/test_gns_mx_lookup.sh
===================================================================
--- gnunet/src/gns/test_gns_mx_lookup.sh                                (rev 0)
+++ gnunet/src/gns/test_gns_mx_lookup.sh        2013-09-25 12:16:42 UTC (rev 
29530)
@@ -0,0 +1,19 @@
+#!/bin/bash
+trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
+rm -r `gnunet-config -c test_gns_lookup.conf -s PATHS -o SERVICEHOME`
+TEST_MX="mail.gnunet"
+gnunet-arm -s -c test_gns_lookup.conf
+gnunet-identity -C testego -c test_gns_lookup.conf
+gnunet-namestore -p -z testego -a -n gnunet -t MX -V $TEST_MX -e never -c 
test_gns_lookup.conf
+RES_MX=$(timeout 5 gnunet-gns --raw -z testego -u www.gnu -t MX -c 
test_gns_lookup.conf)
+gnunet-namestore -z testego -d -n www -t MX -V $TEST_MX -e never -c 
test_gns_lookup.conf
+gnunet-identity -D testego -c test_gns_lookup.conf
+gnunet-arm -e -c test_gns_lookup.conf
+
+if [ "$RES_MX" == "$TEST_MX" ]
+then
+  exit 0
+else
+  echo "Failed to resolve to proper IP, got $RES_MX."
+  exit 1
+fi


Property changes on: gnunet/src/gns/test_gns_mx_lookup.sh
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property



reply via email to

[Prev in Thread] Current Thread [Next in Thread]